/**
 * @file problema1.cpp
 * @author Caleb Tomas Camargo Saavedra (caleb.camargo.s@uni.pe)
 * @brief exercise 1
 * @version 1.0
 * @date 03/02/2022
 * 
 */


/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include <math.h>
using namespace std;
/*******************************************************************************************************************************************
 *  												GLOBAL VARIABLES
 *******************************************************************************************************************************************/
float total_hours_worked;
float pay_hours;
float final_salary;
/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
void calculus();
void collect_Data();
void Show_results();
void Run();
/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
int main(){
Run();
}
/*******************************************************************************************************************************************
 *  												FUNCTION DEFINITION
 *******************************************************************************************************************************************/
void collect_Data(){
	cout<<"Total hours worked: ";
	cin>>total_hours_worked;
	cout<<"Pay for hours: ";
	cin>>pay_hours;
}
void Show_results(){
	cout<<"The final Salary is : "<<final_salary;
	
}
void Run(){
	collect_Data();
	calculus();
	Show_results();
}
void calculus(){
	if(total_hours_worked>40){
		final_salary=40.0*pay_hours+(total_hours_worked-40.0)*pay_hours*1.5;
	}
	else{
		final_salary=pay_hours*total_hours_worked;
	}
	if(final_salary>500){
		final_salary=0.9*final_salary;
	}
}